using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class UI_Window : MonoBehaviour
{
    public enum WindowState
    {
        Opening,
        Open,
        Closing,
        Closed
    }

    protected WindowState m_State = WindowState.Closed;

    private void Awake()
    {
        //gameObject.SetActive(false);
    }

    public void OpenWindow()
    {
        m_State = WindowState.Open;
        gameObject.SetActive(true);
    }
    public void CloseWindow()
    {
        m_State = WindowState.Closed;
        Cleanup();
        gameObject.SetActive(false);
    }
    protected virtual void Cleanup()
    {

    }
}
